import { callController } from "./callController";
import sleep from "sleep-promise";

export async function openGate() {
  // Ensure OUT pin is in false state
  await callController(1, false)

  // Trigger OUT pin to CLOSE state for 1000ms and switch back to OPEN state
  let result = await callController(1, true);
  await sleep(500);
  result = result && await callController(1, false);

  console.log("Open Gate", result);

  return result;
}