import express from "express";

import login from "./login";
import getCenter from "./getCenter";
import uploadPhoto from "./uploadPhoto";
import checkIn from "./checkIn";
import logout from "./logout";
import manualOpen from "./manualOpen";
import exit from "./exit";
import getOpenList from "./getOpenList";
import openGate from "./openGate";
import closeGate from "./closeGate";
import qrInput from "./qrInput";

const router = express.Router({ mergeParams: true });

router.use("/login", login);
router.use("/getCenter", getCenter);
router.use("/uploadPhoto", uploadPhoto);
router.use("/checkIn", checkIn);
router.use("/logout", logout);
router.use("/manualOpen", manualOpen);
router.use("/exit", exit)
router.use("/getOpenList", getOpenList)
router.use("/openGate", openGate)
router.use("/closeGate", closeGate)
router.use("/qrInput", qrInput)
export default router;
