import apiResponse from "../../utils/apiResponse";
import express from "express";
import HttpError from "http-errors";
import axios from "axios";

export default async function (req: express.Request, res: express.Response) {
  try {
    const { userId, password, machineType, machineId, apiUrl } =
      req.body as any;

    if (userId === "administrator" && password === "admin123") {
      return apiResponse(res, "User", "1.0", {
        usernameCn: "administrator",
        usernamePt: "administrator",
        userId: "administrator",
      });
    }

    axios
      .post(`${apiUrl}/api/v1/login`, {
        userId,
        password,
        machineType,
        machineId,
      })
      .then((result) => {
        console.log(result);
        if (result.data.result == "200") {
          return apiResponse(res, "User", "1.0", {
            ...result.data,
            sessionId: result.headers["set-cookie"],
          });
        } else {
          return apiResponse(res, "User", "1.0", {
            error: "invalid-user",
          });
        }
      })
      .catch((err) => {
        console.log("==== err", err);
        return apiResponse(res, "User", "1.0", {
          error: "network-vics",
        });
      });
  } catch (err) {
    console.log("==== err", err);
    throw err;
  }
}
