import apiResponse from "../../utils/apiResponse";
import express from "express";
import HttpError from "http-errors";
import axios from "axios";

export default async function (req: express.Request, res: express.Response) {
  try {
    const { apiUrl, sessionId } = req.body as any;
    if (apiUrl && sessionId) {
      axios
        .get(`${apiUrl}/api/v1/logout`, {
          headers: { Cookie: sessionId },
        })
        .then((result) => {
          console.log(result);
          if (result.data) {
            return apiResponse(res, "Logout", "1.0", "OK");
          } else {
            return apiResponse(res, "Logout", "1.0", "ERROR");
          }
        })
        .catch((err) => {
          console.log("==== err", err);
          return apiResponse(res, "Logout", "1.0", "ERROR");
        });
    } else {
      return apiResponse(res, "Logout", "1.0", "ERROR");
    }
  } catch (err) {
    console.log("==== err", err);
    throw err;
  }
}
