import express from "express";
import { qrCheckIn } from "../checkIn/post";

type Payload = {
  input: string;
}

export default async function (req: express.Request, res: express.Response) {
  const { input } = req.body as Payload;
  const { searchParams } = new URL(input);

  const p = searchParams.get("p");
  const v = searchParams.get("v");

  console.log({p, v});
  if (p && v) {
    await qrCheckIn(p, v);
  }
  
  return res.end();
}
