import apiResponse from "../../utils/apiResponse";
import express from "express";
import HttpError from "http-errors";
import axios from "axios";
export default async function (req: express.Request, res: express.Response) {
  try {
    // console.log("body:", req.body);
    // console.log(req.body);

    const { checkInId, photo, apiUrl, sessionId } = req.body as any;
    // console.log(fileBlob);

    // if (apiUrl) {
    axios
      .post(
        `${apiUrl}/api/v1/uploadPlateNoPhoto`,
        {
          checkInId: parseInt(checkInId, 10),
          photo,
        },
        { headers: { Cookie: sessionId } }
      )
      .then((result) => {
        // console.log("result", result);
        if (result.data) {
          return apiResponse(res, "Upload Photo", "1.0", result.data);
        } else {
          return apiResponse(res, "Upload Photo", "1.0", {
            error: "cannot upload ",
          });
        }
      })
      .catch((err) => {
        console.log("==== err", err);
        return apiResponse(res, "Upload Photo", "1.0", { error: "network" });
      });
    // } else {
    //   // demo
    //   if (fileBlob) {
    //     return apiResponse(res, "Upload Photo", "1.0", "OK");
    //   }
    //   // console.log(userId, password, machineType, machineId);
    // }
    // throw new HttpError.NotFound("Invalid Photo");
  } catch (err) {
    console.log("==== err", err);
    throw err;
  }
}
